Skip to content
Last updated

Views get

api-version: 1.0

Retrieves the list of views.

GET  /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.
facetIdpathtruestringThe name of the facet.

Responses

Success 200

NameTypeDescription
countintegerThe number of returned values.
valuesFacetViewThe list of views.

Error 4xx

NameTypeDescription
messagestringThe error message
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Get the list of views of the processes facet

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views

Response (200 OK)

{
    "count": 10,
    "values": [
        {
            "name": "detail",
            "displayName": "All information on processes",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements"
        },
        {
            "name": "detail",
            "displayName": "All information on processes",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements"
        },
        {
            "name": "diagram",
            "displayName": "Graphic",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/diagram/elements"
        },
        {
            "name": "diagram",
            "displayName": "Graphic",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/diagram/elements"
        },
        {
            "name": "diagram",
            "displayName": "Graphic",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/diagram/elements"
        },
        {
            "name": "documentContent",
            "displayName": "Document content",
            "isHierarchical": true,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/documentContent/elements"
        },
        {
            "name": "documentContent",
            "displayName": "Document content",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/documentContent/elements"
        },
        {
            "name": "list",
            "displayName": "List",
            "isHierarchical": false,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/list/elements"
        },
        {
            "name": "reporting",
            "displayName": "Report data",
            "isHierarchical": true,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/reporting/elements"
        },
        {
            "name": "tree",
            "displayName": "Architecture",
            "isHierarchical": true,
            "elements": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/tree/elements"
        }
    ]
}

Definitions

FacetView

NameTypeDescription
namestringThe name of the view.
displayNamesDictionary<int, string>The display name of the view on multiple languages.
elementsstringThe URI to retrieve the available elements.
isHierarchicalboolValue indicating wheather this instance is hierarchical

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.